View Issue Details

IDProjectCategoryView StatusLast Update
0001532SymmetricDSBugpublic2014-02-02 20:53
ReporterrichardsenAssigned Tochenson 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.5.13 
Target Version3.5.14Fixed in Version3.5.14 
Summary0001532: integer value logged correctly at server, but inserted as different value at client
DescriptionWe use symmetricds 3.5.13 both on server and client (used 3.5.11 before, but had same error).
Server: PostgreSQL 8.4.16 32 Bit; driverVersion=PostgreSQL 9.2 JDBC4 (build 1002)
Client: Oracle 10.2.0.4 64 Bit; driverVersion=Oracle 11.2.0.3.0 JDBC 4
table einmessungen_neu at server has field ms_nr (integer)
table einmessungen_neu at client has field ms_nr (number (5,0))

sym_data at server correctly logs insert with ms_nr=62144
data gets inserted at client as -3392

other examples (value inserted at PostgreSQL -> synced to Oracle):
62144 -> -3392
62145 -> -3391
62146 -> -3390
62147 -> -3389

the difference is always 65536, i.e. 2**16

Inserts into ms_nr with smaller values, i.e. < 10000, get synced correctly to Oracle.

Since I am pretty new to symmetricds (my first installation), I am lost...

Thanks in advance.
TagsNo tags attached.

Activities

chenson

2014-01-15 08:34

administrator   ~0000419

Field of type number(5,0) on Oracle was being interpreted as a Types.SMALLINT which ranges from -32767 to 32767. This was left over from DDL Utils. Thanks for reporting this.

Related Changesets

SymmetricDS: master 5ee70e8f

2014-01-15 08:33:06

chenson

Details Diff
0001532: integer value logged correctly at server, but inserted as different value at client
0001532
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/oracle/OracleDdlReader.java Diff File
mod - symmetric-jdbc/src/test/resources/db-test.properties Diff File

Issue History

Date Modified Username Field Change
2014-01-15 04:28 richardsen New Issue
2014-01-15 07:58 chenson Target Version => 3.5.14
2014-01-15 08:04 chenson Assigned To => chenson
2014-01-15 08:04 chenson Status new => assigned
2014-01-15 08:34 chenson Note Added: 0000419
2014-01-15 08:34 chenson Status assigned => resolved
2014-01-15 08:34 chenson Fixed in Version => 3.5.14
2014-01-15 08:34 chenson Resolution open => fixed
2014-01-17 08:18 chenson Status resolved => closed
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7866
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 5ee70e8f